import { View } from "@tarojs/components";
import { Button, Input, Form, Cell } from "@taroify/core";
import Taro, {  } from "@tarojs/taro";
import "./index.css";
import services from "@/services";
import { encryption } from "@/utils";

export default function Index() {
  const onSubmit = (event: any) => {
    const value = event.detail.value;
    const params = {
      ...value,
    };
    params.password = encryption(value.password || "", "thanks,hncycloud");
    services.login
      .login(params)
      .then((res) => {
        if (res.code === 200) {
          Taro.setStorageSync("token", res.data.access_token);
          Taro.setStorageSync("userId", res.data.user_id);
          Taro.reLaunch({
            url: "/pages/list/index",
          });
        }
      })
      .catch(() => {
        console.log(1111);
        Taro.showToast({
          title: "登录失败",
          icon: "none",
        });
      });
  };

  return (
    <View className="index">
      <View className="loginBox">
        <View style={{ height: 150 }}></View>
        <View className="title">审批通登录</View>
        <Form
          onSubmit={onSubmit}
        >
          <Cell.Group inset>
            <Form.Item
              name="username"
              rules={[{ required: true, message: "请填写手机号" }]}
            >
              <Form.Label>手机号</Form.Label>
              <Form.Control>
                <Input placeholder="手机号" />
              </Form.Control>
            </Form.Item>
            <Form.Item
              name="password"
              rules={[{ required: true, message: "请填写密码" }]}
            >
              <Form.Label>密码</Form.Label>
              <Form.Control>
                <Input password placeholder="密码" />
              </Form.Control>
            </Form.Item>
          </Cell.Group>
          <View style={{ margin: "16px" }}>
            <Button shape="round" block color="primary" formType="submit">
              提交
            </Button>
          </View>
        </Form>
      </View>
    </View>
  );
}
