import api from "@/services/core/api";
import CryptoJS from "crypto-js";

// 密码加密
export function encryption(src: string, keyWord: string) {
  const key = CryptoJS.enc.Utf8.parse(keyWord);
  var encrypted = CryptoJS.AES.encrypt(src, key, {
    iv: key,
    mode: CryptoJS.mode.CFB,
    padding: CryptoJS.pad.NoPadding,
  });
  return encrypted.toString();
}

export function composeImgUrl(imgStr: string) {
  return `${api.assetsUrl}${imgStr}`;
}

export function inversionSerializationRule(inputStr: string) {
  let value = JSON.parse(inputStr);

  if (Array.isArray(value) && value.length > 0) {
    //
    const regexString = value[0].pattern.slice(1, -1);
    value[0].pattern = new RegExp(regexString);
  }

  return value;
}
